Xerces-C++: LocalFileFormatTarget Class Reference

Xerces-C++ 3.2.1

Public Member Functions | List of all members
LocalFileFormatTarget Class Reference
Inheritance diagram for LocalFileFormatTarget:

## Public Member Functions
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
virtual void | flush ()
constructors and destructor
| LocalFileFormatTarget (const XMLCh *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| LocalFileFormatTarget (const char *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~LocalFileFormatTarget ()
Public Member Functions inherited from XMLFormatTarget
virtual | ~XMLFormatTarget ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members
Protected Member Functions inherited from XMLFormatTarget
| XMLFormatTarget ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ◆ LocalFileFormatTarget() [1/2]

LocalFileFormatTarget::LocalFileFormatTarget | ( | const XMLCh * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ LocalFileFormatTarget() [2/2]

LocalFileFormatTarget::LocalFileFormatTarget | ( | const char * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~LocalFileFormatTarget()

LocalFileFormatTarget::~LocalFileFormatTarget | ( |  | ) |

## Member Function Documentation

## ◆ flush()

virtual void LocalFileFormatTarget::flush | ( |  | ) |
| virtual

Reimplemented from XMLFormatTarget.

## ◆ writeChars()

virtual void LocalFileFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter
| ) |  |
| virtual

Implements XMLFormatTarget.

The documentation for this class was generated from the following file:

- LocalFileFormatTarget.hpp